List designs
curl --request GET \
--url https://app.kenekt.com.au/v1/{agency_uid}/designs \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/designs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/designs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/designs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/designs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.kenekt.com.au/v1/{agency_uid}/designs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/designs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"designs": [
{
"public_uid": "BD-4567",
"name": "Design name 2",
"description": "",
"active": true,
"bedroom": "4",
"bathroom": "2",
"garage": "2",
"living": null,
"floor_area": "0.0",
"external_area": null,
"has_study": null,
"storey_type": "Single Storey",
"building_type": "House",
"range_name": null,
"photos_count": 0,
"documents_count": 0,
"build_width": null,
"build_length": null,
"min_width_land": "0.0",
"min_length_land": "0.0",
"squares": "0.0",
"floor_area_second_dwelling": "0.0",
"squares_second_dwelling": null,
"videos": [],
"rooms": []
},
{
"public_uid": "BD-1234",
"name": "KENEKT DESIGN",
"description": "<div class=\"lexxy-content prose prose-lg max-w-none\"\n data-controller=\"lexxy-attachments\"\n data-lexxy-attachments-max-bytes-value=\"5242880\"\n data-lexxy-attachments-types-value=\"["image/jpeg","image/png","application/pdf"]\">\n <div>build design test</div>\n</div>\n",
"active": true,
"bedroom": "3",
"bathroom": "2",
"garage": "1",
"living": null,
"floor_area": "150.0",
"external_area": null,
"has_study": null,
"storey_type": "Single Storey",
"building_type": "House",
"range_name": null,
"photos_count": 0,
"documents_count": 0,
"build_width": "15",
"build_length": "12",
"min_width_land": "12.0",
"min_length_land": "20.0",
"squares": "0.0",
"floor_area_second_dwelling": "0.0",
"squares_second_dwelling": null,
"videos": [],
"rooms": []
}
]
}Stock / Designs
List designs
The agency’s house designs.
GET
/
{agency_uid}
/
designs
List designs
curl --request GET \
--url https://app.kenekt.com.au/v1/{agency_uid}/designs \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/designs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/designs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/designs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/designs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.kenekt.com.au/v1/{agency_uid}/designs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/designs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"designs": [
{
"public_uid": "BD-4567",
"name": "Design name 2",
"description": "",
"active": true,
"bedroom": "4",
"bathroom": "2",
"garage": "2",
"living": null,
"floor_area": "0.0",
"external_area": null,
"has_study": null,
"storey_type": "Single Storey",
"building_type": "House",
"range_name": null,
"photos_count": 0,
"documents_count": 0,
"build_width": null,
"build_length": null,
"min_width_land": "0.0",
"min_length_land": "0.0",
"squares": "0.0",
"floor_area_second_dwelling": "0.0",
"squares_second_dwelling": null,
"videos": [],
"rooms": []
},
{
"public_uid": "BD-1234",
"name": "KENEKT DESIGN",
"description": "<div class=\"lexxy-content prose prose-lg max-w-none\"\n data-controller=\"lexxy-attachments\"\n data-lexxy-attachments-max-bytes-value=\"5242880\"\n data-lexxy-attachments-types-value=\"["image/jpeg","image/png","application/pdf"]\">\n <div>build design test</div>\n</div>\n",
"active": true,
"bedroom": "3",
"bathroom": "2",
"garage": "1",
"living": null,
"floor_area": "150.0",
"external_area": null,
"has_study": null,
"storey_type": "Single Storey",
"building_type": "House",
"range_name": null,
"photos_count": 0,
"documents_count": 0,
"build_width": "15",
"build_length": "12",
"min_width_land": "12.0",
"min_length_land": "20.0",
"squares": "0.0",
"floor_area_second_dwelling": "0.0",
"squares_second_dwelling": null,
"videos": [],
"rooms": []
}
]
}